# $Revision: 1.5 $, $Date: 2012/03/26 19:52:18 $
%include	/usr/lib/rpm/macros.php
%define		status		stable
%define		pearname	File_Iterator
Summary:	FilterIterator implementation that filters files based on a list of suffixes
Name:		php-phpunit-File_Iterator
Version:	1.3.1
Release:	1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.phpunit.de/get/%{pearname}-%{version}.tgz
# Source0-md5:	b49f87caff9b13bf528061cae5905e19
URL:		http://pear.phpunit.de/
BuildRequires:	php-channel(pear.phpunit.de)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-channel(pear.phpunit.de)
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FilterIterator implementation that filters files based on a list of
suffixes.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/File/Iterator.php
%{php_pear_dir}/File/Iterator

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-phpunit-File_Iterator.spec,v $
Revision 1.5  2012/03/26 19:52:18  glen
- updated to: 1.3.1

Revision 1.4  2011/11/02 21:31:39  glen
- updated to: 1.3.0

Revision 1.3  2011/04/25 09:22:03  glen
- updated to: 1.2.6

Revision 1.2  2011/02/27 12:43:57  glen
- fix url

Revision 1.1  2010/10/20 06:23:22  glen
- initial from pear make-rpm-spec
